.pages-hero-header-container{
    display: flex;
    flex-direction: column;
}

header .current-menu-item > a {
    position: relative;
    text-decoration: none; /* Remove the default underline */
    white-space: nowrap;
}

header .current-menu-item > a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px; /* Adjust distance from text */
    width: 100%;  /* Or a fixed width like 20px for a "minimalist" look */
    height: 1px;  /* Thickness */
    background-color: currentColor; /* Matches text color, or use a specific hex */
    opacity: 0.6; /* Makes it subtle */
    transition: width 0.3s ease; /* Smooth if you decide to animate it */
}

.hero-container{
    display: flex;
    flex-direction: column;
}

.hero-image{
    height: 75dvh;
}

.hero-image::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3); /* Adjust 0.3 (30%) for darkness */
    pointer-events: none; /* Allows users to still click through the overlay */
}

.wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container {
    top: 150%;
    /* left: -80%; */
    /* right: 0%; */
    min-width: fit-content;
    background-image: url('../../images/Green\ Washi\ for\ Senshin.webp');
    align-items: end;
}

.trp-shortcode-switcher__wrapper { 
    line-height: 0; 
}
.trp-shortcode-switcher.trp-shortcode-switcher{
    background-image: url('../../images/Green\ Washi\ for\ Senshin.webp');
    /* padding: 5px 0; */
    z-index:100001;
}
.trp-shortcode-switcher .trp-language-item-name{
    font-family: var(--font-body);
    /* DO NOT REMOVE */
    /* Prevent letter crop on IOS device */
    padding-bottom: 1px; 
}
.trp-shortcode-switcher .trp-current-language-item__wrapper:not(.trp-hide-arrow) {
    padding: 0;
}

/* CSS FOR NAVIGATION BREAKPOINT */
@media (min-width: 1024px) {
    /* special header for home page */
    /* .home .wp-block-group.site-header  {
        position: fixed;
        width: 100%;
        background: none !important;
    }

    .home .site-header::before {
        content: "";
        position: absolute;
        inset: 0;
        background-image: url('../../images/Green\ Washi\ for\ Senshin.webp');
        background-size: cover;
        background-position: center;
        opacity: var(--header-bg-opacity, 0);
        z-index: -1; 
    } */

    .wp-block-navigation-item__content,.wp-block-button__link {
        white-space: nowrap;
        font-size: clamp(10px, 1.1vw, 22px);
    }

    .wp-block-site-logo{
        min-width: 175px;
    }

    header .btn-reserve-header-mobile{
        display: none;
    }
    header .header-middle{
        gap: clamp(15px, 1.3vw, 28px);
    }
}

@media (max-width: 1024px) {
    .site-header {
        position: fixed;
        top: 0;
        width: 100%;
    }
    /* .home .site-header  {
        background-image: url('../../images/Green\ Washi\ for\ Senshin.webp');
    }
    .home .site-header::before {
        display: none;
    } */

    .wp-block-group.site-header {
        z-index:999;
        order: 1;
    }

    .hero-image{
        order: 2;
        height: 20svh;
        min-height: 250px !important;
    }

    .site-header .btn-reserve-header{
        display: none;
    }

    .header-left {
        order: 0;
        flex: 1;
    }

    .header-right {
        order: 1;
    }

    .header-middle {
        order: 2;
    }
    header  .btn-reserve-header-mobile{
        display: flex;
        order: 3;
    }
    
    .page-banner-header{
    }

    /* Submenu position */
    .wp-block-navigation{
        position: static;
    }

    .wp-block-navigation__responsive-container{
        position: absolute;
        top: 100%;
        left: 0;
        opacity: 0;
    }
    /* Submenu dropdown */
    .wp-block-navigation__responsive-container.is-menu-open {
        background-image: url('../../images/Green\ Washi\ for\ Senshin.webp');
        width: 100dvw;
        height: 100dvh;
        opacity: 1;
        transition: opacity 0.3s ease;
    }

    /* remove focus blue outline */
    .wp-block-navigation-item a:focus,
    .wp-block-button__link:focus {
        outline: none;
    }


    @media not (prefers-reduced-motion) {
        .wp-block-navigation__responsive-container.is-menu-open {
            animation: customSlideDown 0.4s cubic-bezier(0.4, 0, 0.2, 1) forwards !important;
        }
    }
    @keyframes customSlideDown {
        0% {
            opacity: 0;
            transform: translateY(-1em);
        }
        100% {
            opacity: 1;
            transform: translateY(0);
        }
    } 


	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: flex !important;
        background-image: url('../../images/Green\ Washi\ for\ Senshin.webp');
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none !important;
	}

    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
        padding-top: 0;
    }
    .wp-block-navigation-item__content {
        font-size: clamp(16px, 1.1vw, 22px);
    }

    /* Remove built-in close btn */
    .wp-block-navigation__responsive-container-close {
        display: none !important;
    }
    
    /* burger container */
    .wp-block-navigation__responsive-container-open.burger {
        position: relative; 
        height: 20px; 
        width: 30px; 
        z-index: 1000;
    }

    .bar {
        width: 24px;
        height: 3px;
        background-color: #ffffff;
        border-radius: 2px;
        transition: transform 0.5s ease, top 0.5s ease, bottom 0.5s ease;
        position: absolute; 
        left: 3px; 
    }
    .top {
        top: 3px; 
    }
    .bottom {
        bottom: 3px;
    }

    /* burger to X */
    .burger.menu-open .top {
        transform: rotate(45deg); 
        top: 8.5px; /* (20px/2) - (3px/2) = 10 - 1.5 = 8.5px */
    }
    .burger.menu-open .bottom {
        transform: rotate(-45deg);
        bottom: 8.5px; 
    }

}